Target version: Spent time: 0.00 hour
revision: ro

Description

Lire d'abord le fichier HOWTO pour comprendre comment ¢a marche. La section 1 concerne la compilation de mon cété. La section
2 concerne la mise en place et I'utilisation de I'outil d'analyse.

https://hephaistos.lpp.polytechnique.fr/redmine/projects/Ifr-fsw/wikiHOWTO_ GCOQOV_for LFR

Sur une machine quelconque, cloner les sources du logiciel. Dans le répertoire obtenu, aller copier les .0 et les .gcno en piéces
jointes (dans Il'archive obj.zip) dans le répertoire FSW-Qt/obj (créer le répertoire obj si c'est nécessaire, FSW-Qt doit déja exister).
Ceci remplace le premier step de la section 2.

Ensuite, continuer en respectant le fichier HOWTO, BIEN FAIRE ATTENTION AUX EMPLACEMENTS DES REPERTOIRES
INDIQUES.

History

#1 - 20/10/2015 04:13 PM - paul leroy
- File deleted (obj.zip)

#2 - 20/10/2015 04:13 PM - paul leroy
- File deleted (fsw)

#3 - 20/10/2015 04:13 PM - paul leroy
- File fsw added
- File obj.zip added

#4 - 20/10/2015 04:15 PM - paul leroy

- Assignee changed from paul leroy to Nicolas Briand

#5 - 20/10/2015 04:18 PM - paul leroy

Attention: j'ai eu un bug sur ma machine quand j'ai voulu générer les rapports en html avec I'option --html-details (je viens d'essayer toute la
procédure). Je pense que le bug vient de I'outil gcovr (écrit en Python) En fait j'ai obtenu un rapport directement dans la console en format texte. Ce
rapport est utilisable, mais moins joli que le html (on ne peut pas voir directement les lignes non exécutées, par contre on peut avoir les taux de
couverture).

Ca fonctionnait correctement sur le pc-solar que j'utilisais au LPP avant de partir.

Le soft de vol joint est intrumenté pour la génération des données de couverture, il porte le numéro 3.0.0.11.

#6 - 24/03/2017 11:51 AM - bruno katra

- Assignee changed from Nicolas Briand to Veronique bouzid

#7 - 21/11/2018 10:10 AM - Veronique bouzid

- Status changed from New to Closed

non applicable pour cette version

Files
fsw 4.15 MB 20/10/2015 paul leroy
obj.zip 126 KB 20/10/2015 paul leroy
